function code = opf_slvr(alg)
%OPF_SLVR    Which OPF solver is used by alg.
%   code = opf_slvr(alg) returns a solver code given an algorithm code.
%   The codes are:
%       0 - 'constr' from Optimization Toolbox *or* MINOS
%       1 - 'LPconstr', dense LP-based solver
%       2 - 'LPconstr', sparse LP-based solver with relaxed constraints
%       3 - 'LPconstr', sparse LP-based solver with full set of constraints
%       4 - Newton-based solver

%   MATPOWER
%   $Id: opf_slvr.m,v 1.4 2004/08/23 20:56:50 ray Exp $
%   by Ray Zimmerman, PSERC Cornell
%   Copyright (c) 1996-2004 by Power System Engineering Research Center (PSERC)
%   See http://www.pserc.cornell.edu/matpower/ for more info.

code = rem(alg, 100) / 20;

return;
